## vvave 4.0.2

=== debian/changelog ===
vvave (4.0.2-0zneon+24.04+noble+release+build10) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:16:36 +0000

vvave (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 31 May 2025 08:36:41 +0000

vvave (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 08:36:10 +0000

vvave (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Sep 2024 08:36:10 +0000

vvave (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 08:36:06 +0000

vvave (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 08:36:09 +0000

vvave (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 31 Aug 2023 08:36:06 +0000

vvave (3.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 08:36:06 +0000

vvave (2.2.2-0neon) jammy; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2023 08:36:07 +0000

vvave (1.2-0ubuntu1) unstable; urgency=medium

  [ Clive Johnston ]
  * Initial packaging for Ubuntu

  [ Rik Mills ]
  * Initial upstream release (1.2) 

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 24 Feb 2017 12:41:11 +0000
