## vvave 4.0.2+p24.04+vstable+git20250928.0651

=== debian/changelog ===
vvave (4.0.2+p24.04+vstable+git20250928.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 06:51:14 +0000
