## vvave 4.0.2+p24.04+vunstable+git20250914.1524

=== debian/changelog ===
vvave (4.0.2+p24.04+vunstable+git20250914.1524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 15:24:41 +0000
