## vvave 4.0.2+p24.04+vunstable+git20250928.0707

=== debian/changelog ===
vvave (4.0.2+p24.04+vunstable+git20250928.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 07:07:34 +0000
